## target-factory 1.3.2

=== debian/changelog ===
target-factory (1.3.2-1) unstable; urgency=low

  * Initial release (Closes: #990700)

 -- Punit Agrawal <punit@debian.org>  Tue, 06 Apr 2021 08:01:33 +0000
