=== debian/changelog ===
target-factory (1.4-1) unstable; urgency=medium

  * New upstream released.
  * Add symbol file for libtarget-factory1.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 15 Oct 2021 14:39:46 +0900
