=== debian/control ===
Source: target-factory
Section: libs
Priority: optional
Maintainer: Punit Agrawal <punit@debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: cmake, debhelper-compat (= 13),
	libprotobuf-dev,
	libunilog-dev,
	protobuf-compiler
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/Xilinx/Vitis-AI
Vcs-Git: https://salsa.debian.org/xilinx-packages-team/vitis-ai/target-factory.git
Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/target-factory

Package: libtarget-factory1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Factory library to generate DPU target description file
 A factory to manage Deep learning Processing Unit (DPU) target
 description infos. Register targets and then you can get infos by name
 or fingerprint.
 .
 This package provides the runtime environment for target-factory.

Package: libtarget-factory-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libtarget-factory1 (= ${binary:Version})
Description: Factory library to generate DPU target description file (develop)
 A factory to manage Deep learning Processing Unit (DPU) target
 description infos. Register targets and then you can get infos by name
 or fingerprint.
 .
 This package provides the development environment for target-factory.
