## target-factory 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # limitations under the License.
 #
 cmake_minimum_required(VERSION 3.5)
-project(target-factory VERSION 1.4.0 LANGUAGES C CXX)
+project(target-factory VERSION 1.4.1 LANGUAGES C CXX)
 
 include(${CMAKE_SOURCE_DIR}/cmake/VitisCommon.cmake)
