=== debian/changelog ===
target-factory (1.4.1-1) unstable; urgency=medium

  * New upstream released.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 22 Dec 2021 17:29:11 +0900

target-factory (1.4-5) unstable; urgency=medium

  * Update Maintainer and Uploaders.
  * Update symbols files.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 07 Nov 2021 09:03:59 +0900

target-factory (1.4-4) unstable; urgency=medium

  * Fix FTBFS on armhf and other arch.
    - Add symbols file for each arch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 07 Nov 2021 07:47:41 +0900

target-factory (1.4-3) unstable; urgency=medium

  * Fix FTBFS on armhf and other arch.
    - Add d/patches/0004-Fix-format-of-sprintf.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 01 Nov 2021 09:19:56 +0900

target-factory (1.4-2) unstable; urgency=medium

  * Update d/libtarget-factory1.symbols (Closes: #997461)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 31 Oct 2021 09:06:12 +0900
