=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: target-factory
 Section: libs
 Priority: optional
-Maintainer: Punit Agrawal <punit@debian.org>
-Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
+Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Uploaders: Punit Agrawal <punit@debian.org>,
+	   Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13),
 	libprotobuf-dev,
 	libunilog-dev,
