=== debian/changelog ===
target-factory (2.5-11.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:01:17 +1100

target-factory (2.5-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062967

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 18:03:35 +0000

target-factory (2.5-11) unstable; urgency=medium

  * Remove symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 30 Jan 2023 14:55:02 +0900

target-factory (2.5-10) unstable; urgency=medium

  * Update riscv64's symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 Jan 2023 17:18:41 +0900

target-factory (2.5-9) unstable; urgency=medium

  * Update symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 07 Jan 2023 12:10:24 +0900

target-factory (2.5-8) unstable; urgency=medium

  * Update d/*.symbols for amd64. (Closes: #1023496)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Jan 2023 09:35:29 +0900

target-factory (2.5-7) unstable; urgency=medium

  * Update symbols file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Sep 2022 11:37:16 +0900

target-factory (2.5-6) experimental; urgency=medium

  * Updated d/patches.
    - Drop 0001-Drop-dependency-on-source-repository-hash.patch
    - Add 0001-Use-PROJECT_VERSION-instead-of-PROJECT_GIT_COMMIT_ID.patch
  * Remove debian version from symbols file.
  * Update d/libtarget-factory2.symbols.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Sep 2022 10:15:17 +0900

target-factory (2.5-5) unstable; urgency=medium

  * Update symbols for riscv64 and x32.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 06 Aug 2022 09:37:17 +0900

target-factory (2.5-4) unstable; urgency=medium

  * Upload to unstable.
  * Update d/libtarget-factory2.symbols.riscv64.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Aug 2022 17:04:27 +0900

target-factory (2.5-3) experimental; urgency=medium

  * Update d/libtarget-factory2.symbols.i386

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Aug 2022 07:28:42 +0900

target-factory (2.5-2) experimental; urgency=medium

  * Update d/*.symbolsa.*.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 05 Aug 2022 06:22:03 +0900

target-factory (2.5-1) experimental; urgency=medium

  * New upstream released. (Closes: #1013047)
  * Update d/control.
    - Bumped Standards-Version to 4.6.1.
    - Add version specification to libunilog-dev.
  * Update debian/patches/0001-Drop-dependency-on-source-repository-hash.patch.
  * Update d/rules.
    - Add --buildsystem=cmake to dh's option.
    - Enable LTO.
  * Update d/libtarget-factory2.symbols (Closes: #1015681)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 03 Aug 2022 16:34:14 +0900

target-factory (2.0-3) experimental; urgency=medium

  * Add d/libtarget-factory2.symbols.armhf.
  * Update d/libtarget-factory2.symbols.riscv64.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 07 Jun 2022 10:43:56 +0900

target-factory (2.0-2) experimental; urgency=medium

  * Add d/libtarget-factory2.symbols.i386.
  * Add d/libtarget-factory2.symbols.armel.
  * Add d/libtarget-factory2.symbols.mipsel.
  * Add d/libtarget-factory2.symbols.hppa.
  * Add d/libtarget-factory2.symbols.ia64.
  * Add d/libtarget-factory2.symbols.m68k.
  * Add d/libtarget-factory2.symbols.powerpc.
  * Add d/libtarget-factory2.symbols.riscv64.
  * Add d/libtarget-factory2.symbols.sh4.
  * Add d/libtarget-factory2.symbols.x32.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 06 Jun 2022 17:43:06 +0900

target-factory (2.0-1) experimental; urgency=medium

  * New upstream released.
  * Update d/patches.
    - Remove d/patches/0004-Fix-format-of-sprintf.patch
    - Refresh d/patches
  * Update soname to 2.
    - Change package name to libtarget-factory2.
  * Update d/rules.
    - Drop DEB_LDFLAGS_MAINT_APPEND
  * Update d/copyright
    - Add myself to debian's copyright.
  * Update d/control:
    - Bump Standards-Version to 4.6.0.1.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Jun 2022 13:22:05 +0900
