=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: target-factory
 Section: libs
 Priority: optional
-Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xilinx Package Maintainers <team+pkg-xilinx@tracker.debian.org>
 Uploaders: Punit Agrawal <punit@debian.org>,
 	   Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+	cmake,
 	libprotobuf-dev,
-	libunilog-dev,
+	libunilog-dev (>= 2.5),
 	protobuf-compiler
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Xilinx/Vitis-AI
 Vcs-Git: https://salsa.debian.org/xilinx-packages-team/vitis-ai/target-factory.git
 Vcs-Browser: https://salsa.debian.org/xilinx-packages-team/vitis-ai/target-factory
 
-Package: libtarget-factory1
+Package: libtarget-factory2t64
+Provides: ${t64:Provides}
+Replaces: libtarget-factory2
+Breaks: libtarget-factory2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -29,7 +34,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libtarget-factory1 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libtarget-factory2t64 (= ${binary:Version})
 Description: Factory library to generate DPU target description file (develop)
  A factory to manage Deep learning Processing Unit (DPU) target
  description infos. Register targets and then you can get infos by name
